Package org.silverpeas.wbe.wopi

## Class WopiFileResource

- java.lang.Object
- - org.silverpeas.core.webapi.wbe.AbstractWbeFileResource
  - - org.silverpeas.wbe.wopi.WopiFileResource

- All Implemented Interfaces:
    `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`, `org.silverpeas.core.webapi.wbe.WbeProtectedWebResource`

      @WebService
      @Path("wbe/wopi/files/{fileId}")
      @Authenticated
      public class WopiFileResource
      extends org.silverpeas.core.webapi.wbe.AbstractWbeFileResource

  Author:
    silveryocha

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WopiFileResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.Response` | `receiveFileContentData()` |
    `javax.ws.rs.core.Response` | `receiveFileData()` |
    `javax.ws.rs.core.Response` | `sendFileContentData()` |
    `javax.ws.rs.core.Response` | `sendFileData()` |
    `protected org.silverpeas.core.webapi.wbe.WbeFileWrapper` | `wrapWbeFile​(org.silverpeas.core.wbe.WbeFile file)` |

    - ### Methods inherited from class org.silverpeas.core.webapi.wbe.AbstractWbeFileResource

      `getEditionContext, getHostManager, getSilverpeasContext, initContext, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

      `validateUserAuthorization`

    - ### Methods inherited from interface org.silverpeas.core.webapi.wbe.WbeProtectedWebResource

      `getComponentId, getHttpRequest, getUri, validateUserAuthentication`

- - ### Constructor Detail

    - #### WopiFileResource

          public WopiFileResource()

  - ### Method Detail

    - #### sendFileData

          @GET
          public javax.ws.rs.core.Response sendFileData()

      See Also:
        WOPI spec, files endpoint

    - #### receiveFileData

          @POST
          public javax.ws.rs.core.Response receiveFileData()

      See Also:
        WOPI spec, files endpoint

    - #### sendFileContentData

          @GET
          @Path("contents")
          public javax.ws.rs.core.Response sendFileContentData()

      See Also:
        WOPI spec, file contents endpoint

    - #### receiveFileContentData

          @POST
          @Path("contents")
          public javax.ws.rs.core.Response receiveFileContentData()

      See Also:
        WOPI spec, file contents endpoint

    - #### wrapWbeFile

          protected org.silverpeas.core.webapi.wbe.WbeFileWrapper wrapWbeFile​(org.silverpeas.core.wbe.WbeFile file)

      Specified by:
        `wrapWbeFile` in class `org.silverpeas.core.webapi.wbe.AbstractWbeFileResource`